<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 4) AND (@$HTTP_SESSION_VARS["niv_log"] <> 3))) header("Location: ../index.php") ?>
<?php include ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/lst.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	$ta = strip_tags(trim($_GET['ta'])); // Source de l'appel m:depuis le menu, i:depuis l'intervention
	$td = strip_tags(trim($_GET['td'])); // Récupération type demande
	$cc = strip_tags(trim($_GET['cc'])); // Récupération code Client
	$ca = strip_tags(trim($_GET['ca'])); // Récupération code Agence
	$co = strip_tags(trim($_GET['co'])); // Récupération code Contrat-Client
	$ci = strip_tags(trim($_GET['ci'])); // Récupération code Intervention
	$ct = strip_tags(trim($_GET['ct'])); // Récupération code Technnicien saisissant l'intervention
	$cte = strip_tags(trim($_GET['cte'])); // Récupération code Technicien traitant le dossier
	$cx = strip_tags(trim($_GET['cx'])); // Récupération code pour savoir quel choix de technicien
										 //   cx=s pour celui qui saisi l'intervention
										 //   cx=t pour celui qui traite l'intervention
	if ($ca == "")
		$ca = @$HTTP_SESSION_VARS["code_age"];
		
	$row = lit_enr_age($ca);
	extract ($row);

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Liste Clients</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>


</head>

<body>

<?php if ($ta == "i") 
		{
		}
		else
		{
			include ("../inc/entete.php");
		}
?>

<p align="center"><span class="titrepage">LISTE DES CLIENTS </span></p>
<p align="center" class="annot_std_it">(Couverts par votre agence)</p>
<?php if ($ta == "i") { 
	if ($cc <> "") 
	{
?>
	<p align="center"><span class="titre_gras">Choisissez le client pour l'intervention : <?php echo $ci; ?> </span></p>
<?PHP
	}

	if ($co <> "")
	{
?>
	<p align="center"><span class="titre_gras">Choisissez le client pour le contrat : <?php echo $co; ?> </span></p>
<?PHP
	}
?>
<p align="center"><a href="<?PHP echo $urlsaisiecours; ?>">Revenir à la saisie en cours</a></p>
<?php } ?>

<?PHP
	$fic_imp = "cli_lsti.php";
	$url_add = "cli_maj.php?td=add&ta=".$ta."&cc=".$cc."&ci=".$ci."&code=";
	include_once ("../inc/formr.php"); 

	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);

	$rech = cree_strrechlstcli();
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCLI.".cli_prop='".@$HTTP_SESSION_VARS["code_age"]."' OR ".TBCLI.".cli_prop IS NULL";
	else
		$rech .= " AND ".TBCLI.".cli_prop='".@$HTTP_SESSION_VARS["code_age"]."' OR ".TBCLI.".cli_prop IS NULL";			
	$rech .= crestr_triord($cli_titre_col,"cli_code",FALSE,$limit);
	 
	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
	

	// *** Pagination
	if(empty($_GET['page']))$_GET['page'] = 0; // Valeur de par défaut du nombre de pages
	
	$pages = intval($numrows/$limit); // Nombre total de pages
	
	if($numrows%$limit) $pages++; // S'il y a un reste à la division, alors page+1
	$current = ($_GET['page']/$limit) + 1; // Numéro de page courante
		
	if(($pages < 1) || ($pages == 0)) 
	  $total = 1; // Si le nombre de pages est inférieur à 1 ou égal à 0, alors le nombre total de pages est 1
	else 
	 $total = $pages; // Sinon, on conserve la variable $page telle qu'elle
		
	$first = $_GET['page'] + 1; // Premier résultat
		
	if(((($_GET['page'] + $limit) / $limit) >= $pages) && $pages != 1) 
		 $last = $_GET['page'] + $limit; // Si ce n'est pas la dernière page de résultats, alors la dernière page de résultat est $page + $limit
	else
		$last = $numrows; // Si c'est la dernière page de résultats, le dernier résultat est égal au nombre total de résultats
	// *** Fin de Pagination

	if($numrows == 0)
	{
		retpp();
	}
	 else
	{
		$rech = cree_strrechlstcli();
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE ".TBCLI.".cli_prop='".@$HTTP_SESSION_VARS["code_age"]."' OR ".TBCLI.".cli_prop IS NULL";
		else
			$rech .= " AND ".TBCLI.".cli_prop='".@$HTTP_SESSION_VARS["code_age"]."' OR ".TBCLI.".cli_prop IS NULL";			
		$rech .= crestr_triord($cli_titre_col,"cli_code",TRUE,$limit);
	}

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs);

		
	// *** Affichage de la table

     echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titlst(TRUE,$cli_titre_col);
	echo "<th>".ucfirst("cliquer")."</th>\n";
		
	
	$i = 0;
		
	while ($row = mysql_fetch_assoc($rs)) 
	{         
	  $afficheok = TRUE;
		
	  if (($ta == "i") AND ($row["cli_cpta"] == 3))
			$afficheok = FALSE;

	  if ($afficheok == TRUE)
	  {
		  // Vérifie que le département du client est dans la zone de chalandise de l'agence
		  if ((dep_in_zc($row["cli_dep"],$age_zone)) == FALSE)
		  {
			// Si pas dans la zone de chalandise, on affiche pas
			$afficheok = FALSE;
		  }
		  else
		  {
		  // Si dans la zone de chalandise, vérifie si client appartient à l'agence ou est non affecté
			if (($row["cli_prop"] <> NULL) AND ($row["cli_prop"] <> @$HTTP_SESSION_VARS["code_age"]))
				$afficheok = FALSE;
		  }
	  }
	  
	  if ($afficheok == TRUE)
	  {
		// Création de l'entête de ligne (TR)
		creetrlst($i);
		
         echo "<td>".$row["cli_code"];

		 // CREATION d'icône en cas de problème potentiel
		  if ($row["cli_cpta"] >= 1)
		  {
		  	$lst_sta = TRUE;

			 echo " <img src=\"../img/".$ico_cpta[$row["cli_cpta"]]."\" title =\"".$mess_cpta[$row["cli_cpta"]]."\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
		  }

		 // Détail propriétaire
		 echo "<span class=\"annot_petit_it\">";
		 if ($row["cli_prop"] == NULL)
		 {
			echo "<br>";
			echo "->(Non affecté)";
		 }
		 echo "</span>";
		 echo "</td>\n";

         echo "<td>";
		 if ($row["cli_ste"] <> "")
		 	echo $row["cli_ste"];
		 else
			echo "&nbsp;";
		 echo "</td>\n";
         echo "<td>";
		 echo $row["cli_civilite"]." ".$row["cli_nom"]." ".$row["cli_prenom"];
		 echo "</td>\n";
         echo "<td>".$row["cli_telf"]."</td>\n";
		 echo "<td>";
		 if ($row["cli_telp"] <> "")
		 {
	         echo $row["cli_telp"];
		 }
		 else
		 { 
			echo "<div align=\"center\">";
		 	echo "-";
			echo "</div>";
		 }
		 echo "</td>\n";

		// CREATION lien dynamique sur email
		 echo "<td>";
         echo "<a href=\"mailto:".$row["cli_email"]."\">".$row["cli_email"]."</a>";
		 echo "</td>\n";

		// CREATION lien dynamique sur icône (édition, suppression, etc...)
		if ($ta == "i")
		{
			if ($ci <> "")
			{
				$lst_int = TRUE;
				
				 echo "<td>";
				 echo "<div align=\"center\">";
				 echo "<a href=\"int_maj.php?td=".$td."&ci=".$ci."&cc=".$row["cli_code"]."&ct=".$ct."&cte=".$cte."&cx=".$cx."\"><img src=\"../img/int.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
				 echo "</div>";
				 echo "</td>\n";
			}

			if ($co <> "")
			{
				$lst_cocl = TRUE;
				
				 echo "<td>";
				 echo "<div align=\"center\">";
				 echo "<a href=\"cocl_maj.php?td=".$td."&co=".$co."&cc=".$row["cli_code"]."&ca=".$ca."\"><img src=\"../img/contrat.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
				 echo "</div>";
				 echo "</td>\n";
			}
		}
		if ($ta == "m")
		{
			$lst_maj = TRUE;
			$lst_dem = TRUE;
			$lst_imp = TRUE;
		
			 echo "<td>";
			 echo "<div align=\"center\">";
			 echo "<a href=\"cli_maj.php?td=edit&cc=".$row["cli_code"]."&dep=".$row["cli_dep"]."\"><img src=\"../img/edit.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
			echo " ";
			echo "<a href=\"clidem_maj.php?cc=".$row["cli_code"]."&dep=".$row["cli_dep"]."\"><img src=\"../img/dem.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
  		     if ($row["cli_cpta"] < 3) // Pas de possibilité d'intervention ou de contrat si compte client bloqué
		     {
				$lst_int = TRUE;

				 echo " ";
				 echo "<a href=\"int_maj.php?td=add&ci=&cc=".$row["cli_code"]."&ct=&cte=&cx=\"><img src=\"../img/int.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";

				if (@$HTTP_SESSION_VARS["niv_log"] <> 3)
				{
					$lst_cocl = TRUE;
					
					 echo " ";
					 echo "<a href=\"cocl_maj.php?td=add&co=&cc=".$row["cli_code"]."&ca=\"><img src=\"../img/contrat.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
				}
			 }

			$lst_releve = TRUE;
			
			 echo " ";

				$rech2 = "SELECT * FROM `" .TBREL. "` WHERE `rel_codecli` = '".$row["cli_code"]."'";
				$rs2 = mysql_query($rech2)or die(mysql_error());
				if (mysql_num_rows($rs2) <> 0)
				{
					if ($row2 = mysql_fetch_array($rs2))
					{
					 	echo "<a href=\"rel_maj.php?td=edit&cr=".$row2["rel_code"]."\"><img src=\"../img/rel.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
					}
				 }
				 else
				 	echo "<a href=\"rel_maj.php?td=add&cc=".$row["cli_code"]."&ca=".@$HTTP_SESSION_VARS["code_age"]."\"><img src=\"../img/rel.gif\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
				mysql_free_result($rs2);

			 echo " ";
			 $urlimp = "cli_maji.php?cc=".$row["cli_code"];
			 echo "<a href=\"javascript:;\" onclick=\"lanceimp('".$urlimp."');\")><img src=\"../img/print.gif\" title=\"Imprimer la fiche\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
			 echo "</div>";
			 echo "</td>\n";
		}
		 echo "</tr>\n";
		
		$i++;
	  }
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	
	// *** Pagination de pied
	echo "<table width=\"100%\" border=\"0\">
	<tr>
	<td align=\"center\">\n";
		
	if (!empty($_GET['page']) && $_GET['page'] > 0)
	{
	   $back_page = $_GET['page'] - $limit;
	   $url = $_SERVER["PHP_SELF"]."?page=$back_page";
	
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
	   
	   echo "<a href=\"$url\"><img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>    \n";
	}
	 
	// Boucle sur chaque page et CREATION d'un lien sur celle-ci
	// Pas de page s'il n'y a seulement qu'une page
	if($pages > 1)
	{
	 for ($i=1; $i <= $pages; $i++) 
	 {
	   $ppage = $limit*($i - 1);
	   if ($ppage == $_GET['page'])
		  echo("<span class=\"psel\">$i</span> \n");
	   else
	   {
		  $url = $_SERVER["PHP_SELF"]."?page=$ppage";
						  
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'
						  
		  echo("<span class=\"pnsel\"><a href=\"$url\">$i</a></span> \n");
	   }
	 }
	}
	
	if(((($_GET['page']+$limit) / $limit) < $pages) && $pages != 1) 
	{   
	   $next_page = $_GET['page'] + $limit; // Si c'est la dernière page, pas de page suivante
	   $url = $_SERVER["PHP_SELF"]."?page=$next_page";
		
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
		if(!empty($_GET['ta']))
			$url .= "&ta=".$_GET['ta']; // CREATION de 'ta'
		if(!empty($_GET['td']))
			$url .= "&td=".$_GET['td']; // CREATION de 'td'
		if(!empty($_GET['cc']))
			$url .= "&cc=".$_GET['cc']; // CREATION de 'cc'
		if(!empty($_GET['ci']))
			$url .= "&ci=".$_GET['ci']; // CREATION de 'ci'

	   echo "    <a href=\"$url\"><img src=\"../img/suiv.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>\n";
	}
	 
	echo "</td>
		 </tr>
		 </table>"; 

	// *** Fin de pagination de pied	

	mysql_close($conn);  
	
	include_once ("../inc/piedla.php"); 
?>
<?php 
	include_once ("pied.php")
?>
